Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type FieldExpressionValidator

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface FieldExpressionValidator

This validator uses an OGNL expression to perform its validator. The error message will be added to the field if the expression returns false when it is evaluated against the value stack.

Annotation usage:

The annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
expression | yes |  | An OGNL expression that returns a boolean value.

Example code:

     @FieldExpressionValidator(message = "Default message", key = "i18n.key", shortCircuit = true, expression = "an OGNL expression")

Version:
  $Id: FieldExpressionValidator.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Rainer Hermanns

Required Element Summary
`java.lang.String` | `expression` An OGNL expression that returns a boolean value.

Optional Element Summary
`java.lang.String` | `fieldName` The optional fieldName for SIMPLE validator types.
`java.lang.String` | `key` The message key to lookup for i18n.
`java.lang.String` | `message` The default error message for this validator.
`boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.

Element Detail

### expression

    public abstract java.lang.String expression

  An OGNL expression that returns a boolean value.

### message

    public abstract java.lang.String message

  The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!

  Default:
    ""

### key

    public abstract java.lang.String key

  The message key to lookup for i18n.

  Default:
    ""

### fieldName

    public abstract java.lang.String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### shortCircuit

    public abstract boolean shortCircuit

  If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.

  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.